FormSubmitEvent.MethodType (Java SE 14 & JDK 14)
Description: declaration: module: java.desktop, package: javax.swing.text.html, class: FormSubmitEvent, enum: MethodType
Keywords: javax.swing.text.html.FormSubmitEvent.MethodType class

Module java.desktop
Package javax.swing.text.html

# Enum FormSubmitEvent.MethodType

java.lang.Object
java.lang.Enum<FormSubmitEvent.MethodType>
javax.swing.text.html.FormSubmitEvent.MethodType

All Implemented Interfaces:
  `Serializable`, `Comparable<FormSubmitEvent.MethodType>`, `Constable`

Enclosing class:
  FormSubmitEvent

    public static enum FormSubmitEvent.MethodType
    extends Enum<FormSubmitEvent.MethodType>

Represents an HTML form method type.

- `GET` corresponds to the GET form method
- `POST` corresponds to the POST from method

Since:
  1.5

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `GET` | `GET` corresponds to the GET form method
  `POST` | `POST` corresponds to the POST from method

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static FormSubmitEvent.MethodType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static FormSubmitEvent.MethodType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GET

    public static final FormSubmitEvent.MethodType GET
    `GET` corresponds to the GET form method

  - ### POST

    public static final FormSubmitEvent.MethodType POST
    `POST` corresponds to the POST from method

- ## Method Details

  - ### values

    public static FormSubmitEvent.MethodType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FormSubmitEvent.MethodType valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null